Get a parameter
Base URL
https://{kibana_url}
GET
/api/synthetics/params/{id}
Auth
Get a parameter from the Synthetics app.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
Expand all
id
string
required
The unique identifier for the parameter.
description
string
The description of the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
id
string
The unique identifier of the parameter.
key
string
The key of the parameter.
namespaces
string []
The namespaces associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
tags
string []
An array of tags associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.
value
string
The value associated with the parameter. It will be included in the response if the user has write permissions.
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/synthetics/params/ID
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/synthetics/params/${ID}" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
A successful response for a user with read-only permissions to get a single parameter.
Show more
1
2
3
4
5
6
7
{
"id": "unique-parameter-id",
"key": "your-api-key",
"description": "Param to use in browser monitor",
"tags": ["authentication", "security"],
"namespaces": ["namespace1", "namespace2"]
}